<div class="container">
    <div class="row">
        <div class="col-12">
            <filter-movie (filter)="onFilter($event)" (clear)="onClearFilter();"></filter-movie>
        </div>
    </div>
    <div class="row" *ngIf="loading">
        <div class="col-12">
            <mat-progress-spinner color="primary" mode="indeterminate" diameter="48"></mat-progress-spinner>
        </div>
    </div>
    <div class="row" *ngIf="noResults">
        <div class="col-12">
            <alert-system type="warn" message="Nenhum resultado encontrado, insira novos valores de filtro."></alert-system>
        </div>
    </div>
    <div class="row" *ngIf="movieList.length">
        <div class="col-12 col-md-3">
            <order-movie [orders]="orderOptions" (orderChange)="onOrderChange($event)"></order-movie>
        </div>
    </div>
    <div class="row" *ngIf="!loading">
        <div class="col-12 col-md-6 col-lg-3" *ngFor="let movie of movieList">
            <card-movie 
                [name]="movie.Title" 
                [poster]="movie.Poster" 
                [rating]="movie.RatingsMedia"
                (openDetails)="onOpenDetails(movie.imdbID);">
            </card-movie>
        </div>
    </div>
</div>